Loading...
Searching...
No Matches
cache_search Struct Reference

Temporary information needed during a cache search. More...

## Data Fields

unsigned | gprec
| Index of MRU precious ghost entry.
unsigned | eprec
| End of precious entries; this is the index of the first unused entry.
unsigned | zprec
| Index of the least recently used precious entry with zero reference count.
unsigned | nzprec
| Number of precious entries with zero reference count.
unsigned | gprobe
| Index of MRU probed ghost entry.
unsigned | eprobe
| End of probed entries; this is the index of the last unused entry.
unsigned | zprobe
| Index of the least recently used probed entry with zero reference count.
unsigned | nzprobe
| Number of probed entries with zero reference count.

## Detailed Description

Temporary information needed during a cache search.

This is grouped in a structure to avoid passing an inordinate number of parameters among the various helper functions.

The documentation for this struct was generated from the following file:

- src/kdumpfile/cache.c